io.agora.rtc

## Class AgoraAudioTrack

- java.lang.Object
- - io.agora.rtc.AgoraAudioTrack

-     public class AgoraAudioTrack
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private long` | `cptr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AgoraAudioTrack(long cptr)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `addAudioSink(AgoraAudioSink agora_audio_sink, AudioSinkWants wants)`
    `int` | `adjustPlayoutVolume(int volume)`
    `int` | `getPlayoutVolume(Out volume)`
    `private int` | `nativeAddAudioSink(long cptr, AgoraAudioSink agora_audio_sink, AudioSinkWants wants)`
    `private int` | `nativeAdjustPlayoutVolume(long cptr, int volume)`
    `private int` | `nativeGetPlayoutVolume(long cptr, Out volume)`
    `private int` | `nativeRemoveAudioSink(long cptr, AgoraAudioSink agora_audio_sink)`
    `int` | `removeAudioSink(AgoraAudioSink agora_audio_sink)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cptr

          private long cptr

  - ### Constructor Detail

    - #### AgoraAudioTrack

          public AgoraAudioTrack(long cptr)

  - ### Method Detail

    - #### adjustPlayoutVolume

          public int adjustPlayoutVolume(int volume)

    - #### getPlayoutVolume

          public int getPlayoutVolume(Out volume)

    - #### addAudioSink

          public int addAudioSink(AgoraAudioSink agora_audio_sink,
                                  AudioSinkWants wants)

    - #### removeAudioSink

          public int removeAudioSink(AgoraAudioSink agora_audio_sink)

    - #### nativeAdjustPlayoutVolume

          private int nativeAdjustPlayoutVolume(long cptr,
                                                int volume)

    - #### nativeGetPlayoutVolume

          private int nativeGetPlayoutVolume(long cptr,
                                             Out volume)

    - #### nativeAddAudioSink

          private int nativeAddAudioSink(long cptr,
                                         AgoraAudioSink agora_audio_sink,
                                         AudioSinkWants wants)

    - #### nativeRemoveAudioSink

          private int nativeRemoveAudioSink(long cptr,
                                            AgoraAudioSink agora_audio_sink)